<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
<refentry id="vfs_glusterfs_fuse.8">

<refmeta>
	<refentrytitle>vfs_glusterfs_fuse</refentrytitle>
	<manvolnum>8</manvolnum>
	<refmiscinfo class="source">Samba</refmiscinfo>
	<refmiscinfo class="manual">System Administration tools</refmiscinfo>
	<refmiscinfo class="version">4.10.11</refmiscinfo>
</refmeta>


<refnamediv>
	<refname>vfs_glusterfs_fuse</refname>
	<refpurpose>
		Utilize features provided by GlusterFS
	</refpurpose>
</refnamediv>

<refsynopsisdiv>
	<cmdsynopsis sepchar=" ">
		<literal>vfs objects = glusterfs_fuse</literal>
	</cmdsynopsis>
</refsynopsisdiv>

<refsect1>
	<title>DESCRIPTION</title>

	<para>This VFS module is part of the
	<citerefentry><refentrytitle>samba</refentrytitle>
	<manvolnum>8</manvolnum></citerefentry> suite.</para>

	<para>
		GlusterFS
		(<ulink url="http://www.gluster.org/">http://www.gluster.org</ulink>)
		is an Open Source clustered file system capable of scaling to
		several peta-bytes.  With its FUSE based native client,
		GlusterFS is available as a POSIX compliant file system and can
		hence be shared by Samba without additional steps.
	</para>

	<para>
		The <literal>vfs_glusterfs_fuse</literal> VFS module provides an enhanced way
		to access a Gluster filesystem using a Gluster FUSE mount. It provides support
		for the <literal>get_real_filename</literal> VFS call which enhances file access performance
		by avoiding multiple expensive case folding lookup calls to detect the appropriate
		case of an exisiting filename.
	</para>

	<para>
		Furthermore, this module implements a substitute file-id
		mechanism. The default file-id mechanism is not working
		correctly for gluster fuse mount re-exports, so in order to
		avoid data loss, users exporting gluster fuse mounts with
		Samba should enable this module.
	</para>

	<para>
		This module can be combined with other modules, but it
		should be the last module in the <literal>vfs objects</literal>
		list. Modules added to this list to the right of the glusterfs
		entry may not have any effect at all.
	</para>
</refsect1>

<refsect1>
	<title>CONFIGURATION</title>

	<para>
		A basic configuration looks like this.
	</para>

	<programlisting format="linespecific">
		<parameter>[share]</parameter>
		<link xmlns:xlink="http://www.w3.org/1999/xlink" linkend="VFSOBJECTS" xlink:href="smb.conf.5.html#VFSOBJECTS">vfs objects = glusterfs_fuse</link>
		<link xmlns:xlink="http://www.w3.org/1999/xlink" linkend="PATH" xlink:href="smb.conf.5.html#PATH">path = /absolute/path_of_fusemount</link>
	</programlisting>

	<para>
		Note that <literal>vfs_glusterfs_fuse</literal> requires a Gluster mount. For accessing glusterfs directly
		over the GFAPI library please use the <literal>vfs_glusterfs</literal> module.
	</para>
</refsect1>

<refsect1>
	<title>OPTIONS</title>
	<para>
		This module does currently have no further options.
	</para>
</refsect1>

<refsect1>
	<title>VERSION</title>

	<para>
		This man page is part of version 4.10.11 of the Samba suite.
	</para>
</refsect1>

<refsect1>
	<title>AUTHOR</title>

	<para>The original Samba software and related utilities
	were created by Andrew Tridgell. Samba is now developed
	by the Samba Team as an Open Source project similar
	to the way the Linux kernel is developed.</para>

</refsect1>

</refentry>
